Update a live session.
API Key API key used for authentication
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://example.com/live-session/update" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }'{ "id": "00000000-0000-0000-0000-000000000000", "platform": "twitch", "startTime": "2026-07-15T21:26:44.885Z", "endTime": "2026-07-15T22:26:44.885Z", "peakViewerCount": 500, "finalViewerCount": 450, "externalSessionId": null, "note": "Updated note", "createdAt": "2026-07-15T21:26:44.885Z", "updatedAt": "2026-07-15T21:26:44.885Z"}{ "error": "string", "code": "string", "details": null}Session ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidUpdated start time (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-timeUpdated end time (ISO 8601)
Updated peak viewer count
Updated final viewer count
Updated note